> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all withdrawals by staker address

> Returns all withdrawal data of the requested staker, including the withdrawal root, nonce, withdrawal status, and other relevant information.



## OpenAPI

````yaml get /stakers/{address}/withdrawals
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /stakers/{address}/withdrawals:
    get:
      tags:
        - Stakers
      summary: Retrieve all withdrawals by staker address
      description: >-
        Returns all withdrawal data of the requested staker, including the
        withdrawal root, nonce, withdrawal status, and other relevant
        information.
      operationId: getStakerWithdrawals
      parameters:
        - in: path
          name: address
          description: The address of the staker
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: The address of the staker
            example: '0x9791fdb4e9c0495efc5a1f3f9271ef226251eb34'
          required: true
        - in: query
          name: skip
          description: The number of records to skip for pagination
          schema:
            type: string
            default: '0'
            description: The number of records to skip for pagination
            example: 0
        - in: query
          name: take
          description: The number of records to return for pagination
          schema:
            type: string
            default: '12'
            description: The number of records to return for pagination
            example: 12
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The list of withdrawals.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        withdrawalRoot:
                          type: string
                          description: The root hash of the withdrawal
                          example: >-
                            0x9e6728ef0a8ad6009107a886047aae35bc5ed7deaa68580b0d1f8f67e3e5ed31
                        nonce:
                          type: number
                          description: >-
                            The nonce of the withdrawal, ensuring unique hashes
                            for otherwise identical withdrawals
                          example: 0
                        stakerAddress:
                          type: string
                          description: >-
                            The contract address of the staker who initiated the
                            withdrawal
                          example: '0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd'
                        delegatedTo:
                          type: string
                          description: >-
                            The address to which the staker was delegated when
                            the withdrawal was initiated
                          example: '0x0000000000000000000000000000000000000000'
                        withdrawerAddress:
                          type: string
                          description: >-
                            The address of the withdrawer, authorized to
                            complete the withdrawal and receive the funds
                          example: '0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd'
                        shares:
                          type: array
                          items:
                            type: object
                            properties:
                              strategyAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: The contract address of the restaking strategy
                                example: '0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0'
                              shares:
                                type: string
                                description: The amount of shares held in the strategy
                                example: '1277920000000000000000000'
                            required:
                              - strategyAddress
                              - shares
                          description: The list of strategy shares
                          example:
                            - strategyAddress: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                              shares: '1000288824523326631'
                        createdAtBlock:
                          type: number
                          description: >-
                            The block number when the withdrawal was recorded by
                            EigenExplorer
                          example: 19912470
                        createdAt:
                          type: string
                          description: >-
                            The time stamp when the withdrawal was recorded by
                            EigenExplorer
                          example: '2024-07-07T23:53:35.000Z'
                        updatedAtBlock:
                          type: number
                          description: >-
                            The block number when the withdrawal was last
                            updated
                          example: 19912470
                        updatedAt:
                          type: string
                          description: The time stamp when the withdrawal was last updated
                          example: '2024-07-07T23:53:35.000Z'
                        isCompleted:
                          type: boolean
                          description: Indicates if the withdrawal is completed
                          example: false
                      required:
                        - withdrawalRoot
                        - nonce
                        - stakerAddress
                        - delegatedTo
                        - withdrawerAddress
                        - shares
                        - createdAtBlock
                        - createdAt
                        - updatedAtBlock
                        - updatedAt
                        - isCompleted
                  meta:
                    type: object
                    properties:
                      total:
                        type: number
                        description: Total number of records in the database
                        example: 30
                      skip:
                        type: number
                        description: The number of skiped records for this query
                        example: 0
                      take:
                        type: number
                        description: The number of records returned for this query
                        example: 12
                    required:
                      - total
                      - skip
                      - take
                required:
                  - data
                  - meta
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````